Net::SMTP::SSL(3)

NAME
Net::SMTP::SSL - SSL support for Net::SMTP

SYNOPSIS
  use Net::SMTP::SSL;

  my $smtps = Net::SMTP::SSL->new("example.com", Port => 465);

DEPRECATED
Hey! Read this!

Since Net::SMTP v1.28 (2014-10-08), Net::SMTP itself has support for SMTP over SSL, and also for STARTTLS. Use Net::SMTP, not Net::SMTP::SSL.

DESCRIPTION
Implements the same API as Net::SMTP, but uses IO::Socket::SSL for its network operations. Due to the nature of "Net::SMTP"'s "new" method, it is not overridden to make use of a default port for the SMTPS service. Perhaps future versions will be smart like that. Port 465 is usually what you want, and it's not a pain to specify that.

For interface documentation, please see Net::SMTP.

SEE ALSO
Net::SMTP, IO::Socket::SSL, perl.

AUTHOR
Casey West, <casey@geeknest.com>.

COPYRIGHT
  Copyright (c) 2004 Casey West.  All rights reserved.
  This module is free software; you can redistribute it and/or modify it
  under the same terms as Perl itself.